#ifndef CLUSTER_H
#define CLUSTER_H
#include <stdint.h>
// Data type for the cluster
// has to be extended
typedef struct {
  int16_t x;
  int16_t y;
  int32_t data[9];
} Cluster ;

typedef enum {
  cBottomLeft=0,
  cBottomRight=1,
  cTopLeft=2,
  cTopRight=3
} corner;

typedef enum {
  pBottomLeft=0,
  pBottom=1,
  pBottomRight=2,
  pLeft=3,
  pCenter=4,
  pRight=5,
  pTopLeft=6,
  pTop=7,
  pTopRight=8
} pixel;


typedef struct {
  int32_t tot2;
  int32_t tot3;
  uint32_t c;
} ClusterAnalysis ;





#endif
